import 'package:aman_kassa_flutter/shared/app_colors.dart';
import 'package:flutter/material.dart';

// Box Decorations

BoxDecoration fieldDecortaion =
    BoxDecoration(borderRadius: BorderRadius.circular(5), color: Colors.white);

BoxDecoration disabledFieldDecortaion = BoxDecoration(
    borderRadius: BorderRadius.circular(5), color: Colors.grey[100]);

// Field Variables

const double fieldHeight = 55;
const double smallFieldHeight = 40;
const double inputFieldBottomMargin = 30;
const double inputFieldSmallBottomMargin = 0;
const EdgeInsets fieldPadding = const EdgeInsets.symmetric(horizontal: 15);
const EdgeInsets largeFieldPadding =
    const EdgeInsets.symmetric(horizontal: 15, vertical: 15);

// Text Variables
const TextStyle productTextStyle = const TextStyle(
    fontWeight: FontWeight.w400, color: Colors.black, fontSize: 15);
const TextStyle buttonTitleTextStyle = const TextStyle(
    fontWeight: FontWeight.w700, color: whiteColor, fontSize: 14);
const TextStyle buttonTitleDisableTextStyle = const TextStyle(
    fontWeight: FontWeight.w700, color: fillColor, fontSize: 14);
const TextStyle buttonBigTitleTextStyle = const TextStyle(
  fontWeight: FontWeight.w700,
  color: whiteColor,
  fontSize: 22,
);

const TextStyle dropDownTradeTypeTextStyle =
    TextStyle(color: Colors.black54, fontWeight: FontWeight.bold, fontSize: 24);

// Box Shadow
const BoxShadow mainShadowBox =
    BoxShadow(blurRadius: 16, color: shadowColor, offset: Offset(0, 5));
const BoxShadow buttonShadowBox =
    BoxShadow(blurRadius: 5, color: Colors.grey, offset: Offset(0, 1));
const BoxShadow cardShadowBox =
    BoxShadow(blurRadius: 5, color: Colors.black26, offset: Offset(0, 5));
